import xml.dom.minidom as dom
import re

doc=dom.Document()
root=doc.createElement("CDXML")
doc.appendChild(root)
elem1=doc.createElement("page")
root.appendChild(elem1)
for mol in App.paper.molecules:
  elem2=doc.createElement("fragment")
  elem1.appendChild(elem2)
  for atom in mol.atoms:
    elem3=doc.createElement("n")
    elem2.appendChild(elem3)
    elem3.setAttribute("id",re.sub("atom","",atom.id) ) 
    elem3.setAttribute("p","%f %f" %(atom.x,atom.y))
    elem3.setAttribute("NumHydrogens","%d" % atom.free_valency)
    if atom.symbol != "C" or atom.show:
      elem4=doc.createElement("t")
      elem3.appendChild(elem4)
      elem6=doc.createElement("s")
      elem4.appendChild(elem6)
      symbol=doc.createTextNode(atom.xml_ftext)
      elem6.appendChild(symbol)
  for bond in mol.bonds:
    elem5=doc.createElement("b")
    elem2.appendChild(elem5)
    elem5.setAttribute("B",re.sub("atom","",bond.atom1.id) ) 
    elem5.setAttribute("E",re.sub("atom","",bond.atom2.id) )
    if bond.order > 1:
      elem5.setAttribute("Order","%d" % bond.order )

f = file("prase.cdxml","w")
f.write( doc.toxml())
f.close()

#for mol in App.paper.molecules:
   #for atom in mol.atoms:
     #print "<atom x='%f' y='%f' z='%f' symbol='%s' id='%s'/>" % (atom.x,atom.y,atom.z,atom.symbol,atom.id)
   #for bond in mol.bonds:
     #print "<bond atom1='%s' atom2='%s' order='%d'/>" % (bond.atom1.id, bond.atom2.id, bond.order)
